import request from '@/utils/request'

//编辑新购任务
export function updatePurchaseCheckInfo(data) {
  return request({
    url: '/material/purchaseCheckServiceCenter',
    method: 'put',
    data: data
  })
}

//消息通知
export function bmNoticeInfo(data) {
  return request({
    url: '/material/purchaseCheckServiceCenter/bmNoticeInfo',
    method: 'post',
    data: data
  })
}


// 新购验收--验收弹窗-确认验收
export function updatePurchaseCheckDetails(data) {
  return request({
    url: '/material/purchaseCheckDetails',
    method: 'put',
    data: data
  })
}

//新购验收-入库列表
export function getPutInList(query) {
  return request({
    url: '/material/purchaseCheckServiceCenter/putInList',
    method: 'get',
    params: query
  })
}
export function getPutinDetailsList(query) {
  return request({
    url: '/material/purchaseCheckServiceCenter/putinDetails',
    method: 'get',
    params: query
  })
}

// 修改状态-审核
export function changePutinStatus(data) {
  return request({
    url: '/material/purchaseCheckServiceCenter/manageStatus',
    method: 'put',
    data: data
  })
}



//新购工机具入库单
export function warehousingEntry(query) {
  return request({
    url: '/material/purchaseMacode/warehousingEntry',
    method: 'get',
    params: query
  })
}


//配件入库 配件类型下拉数据
export function getPartList(query) {
  return request({
    url: '/material/purchaseAccessory/getPartList',
    method: 'get',
    params: query
  })
}
